Package com.smartgwt.client.widgets.drawing.events

# Class DragMove

java.lang.Object
com.google.web.bindery.event.shared.Event<H>
com.google.gwt.event.shared.GwtEvent<H>
com.smartgwt.client.event.AbstractSmartEvent<DragMoveHandler>
com.smartgwt.client.widgets.drawing.events.DragMove

All Implemented Interfaces:
  `Cancellable`

public class DragMove extends AbstractSmartEvent<DragMoveHandler> implements Cancellable

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

  `GwtEvent.Type<H extends Object>`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DragMove(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cancel()`
  Call this method to cancel the default behavior of allowing the shape to be drag-moved
  `protected void`
  `dispatch(DragMoveHandler handler)`
  `static <S extends HasDragMoveHandlers & HasHandlers>
  void`
  `fire(S source, JavaScriptObject jsObj)`
  Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
  `final GwtEvent.Type<DragMoveHandler>`
  `getAssociatedType()`
  `DrawItem`
  `getFiringDrawItem()`
  Returns the `DrawItem` firing the event.
  `static GwtEvent.Type<DragMoveHandler>`
  `getType()`
  Gets the type associated with this event.
  `int`
  `getX()`
  x-coordinate within the drawPane
  `int`
  `getY()`
  y-coordinate within the drawPane
  `boolean`
  `isCancelled()`

  ### Methods inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `getFiringInstanceAsJavaScriptObject`

  ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

  `assertLive, getSource, isLive, kill, revive`

  ### Methods inherited from class com.google.web.bindery.event.shared.Event

  `setSource, toDebugString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DragMove

    public DragMove(JavaScriptObject jsObj)

- ## Method Details

  - ### getFiringDrawItem

    public DrawItem getFiringDrawItem()
    Returns the `DrawItem` firing the event.
    Returns:
      DrawItem firing the event

  - ### fire

    public static <S extends HasDragMoveHandlers & HasHandlers> void fire(S source, JavaScriptObject jsObj)
    Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
    Type Parameters:
      `S` - The event source
    Parameters:
      `source` - the source of the handlers
      `jsObj` - the native event

  - ### getType

    public static GwtEvent.Type<DragMoveHandler> getType()
    Gets the type associated with this event.
    Returns:
      returns the handler type

  - ### dispatch

    protected void dispatch(DragMoveHandler handler)
    Specified by:
      `dispatch` in class `GwtEvent<DragMoveHandler>`

  - ### getAssociatedType

    public final GwtEvent.Type<DragMoveHandler> getAssociatedType()
    Specified by:
      `getAssociatedType` in class `GwtEvent<DragMoveHandler>`

  - ### cancel

    public void cancel()
    Call this method to cancel the default behavior of allowing the shape to be drag-moved
    Specified by:
      `cancel` in interface `Cancellable`

  - ### isCancelled

    public boolean isCancelled()
    Specified by:
      `isCancelled` in interface `Cancellable`
    Returns:
      true if cancelled

  - ### getX

    public int getX()
    x-coordinate within the drawPane
    Returns:
      x-coordinate within the drawPane

  - ### getY

    public int getY()
    y-coordinate within the drawPane
    Returns:
      y-coordinate within the drawPane